/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package recuadrosmain;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 *
 * @author jmpena
 */
public class ControladorRecuadros  implements ActionListener,
                                             FocusListener,
                                             ChangeListener {

    private ModeloRecuadro modelo;
    private RecuadrosMVCMainView vista;

    public ControladorRecuadros(ModeloRecuadro m) {
        modelo=m;
    }

    public void cambiarModelo (Component fuente) {
        if(fuente.getName().equals("jTextAlto")) {
            JTextField campo=(JTextField)fuente;
            modelo.fijarAlto(Double.parseDouble(campo.getText()));
        }
        else if (fuente.getName().equals("jTextLargo")) {
            JTextField campo=(JTextField)fuente;
            modelo.fijarLargo(Double.parseDouble(campo.getText()));
        }
        else if (fuente.getName().equals("jSliderAlto")) {
            JSlider campo=(JSlider)fuente;
            modelo.fijarAlto((double)campo.getValue());
        }
        else if (fuente.getName().equals("jSliderLargo")) {
            JSlider campo=(JSlider)fuente;
            modelo.fijarLargo((double)campo.getValue());
        }
        else if (fuente.getName().equals("jButtonAltoIgualLargo")) { // Extra
            modelo.fijarAlto(modelo.obtenerLargo());
        }
        else if (fuente.getName().equals("jButtonLargoIgualAlto")) { // Extra
            modelo.fijarLargo(modelo.obtenerAlto());
        }
    }

    public void actionPerformed(ActionEvent ae) {
        Component fuente=(Component)ae.getSource();
        cambiarModelo(fuente);
    }

    public void focusGained(FocusEvent fe) {
        //No se hace nada
    }

    public void focusLost(FocusEvent fe) {
        Component fuente=(Component)fe.getSource();
        cambiarModelo(fuente);
    }

    public void stateChanged(ChangeEvent ce) {
        Component fuente=(Component)ce.getSource();
        cambiarModelo(fuente);
    }

}
