/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package recuadrosmain;

import java.util.Observable;

/**
 *
 * @author jmpena
 */
public class ModeloRecuadro extends Observable {

    private double alto;
    private double largo;

    public ModeloRecuadro(double a, double l) {
        alto=a;
        largo=l;
    }

    public void fijarAlto(double a) {
        alto=a;
        setChanged();
        notifyObservers();
    }

    public void fijarLargo(double l) {
        largo=l;
        setChanged();
        notifyObservers();
    }

    public double obtenerAlto() {
        return alto;
    }

    public double obtenerLargo() {
        return largo;
    }

    public double calcularArea() {
        return alto * largo;
    }

    public double calcularPerimetro() {
        return 2*alto + 2*largo;
    }
}
